package com.lightinit.hsdataplatformresdir.entity;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class ActivityExample extends BaseExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public ActivityExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Long value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Long value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Long value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Long value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Long value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Long value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Long> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Long> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Long value1, Long value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Long value1, Long value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andActivityStateIsNull() {
            addCriterion("activity_state is null");
            return (Criteria) this;
        }

        public Criteria andActivityStateIsNotNull() {
            addCriterion("activity_state is not null");
            return (Criteria) this;
        }

        public Criteria andActivityStateEqualTo(String value) {
            addCriterion("activity_state =", value, "activityState");
            return (Criteria) this;
        }

        public Criteria andActivityStateNotEqualTo(String value) {
            addCriterion("activity_state <>", value, "activityState");
            return (Criteria) this;
        }

        public Criteria andActivityStateGreaterThan(String value) {
            addCriterion("activity_state >", value, "activityState");
            return (Criteria) this;
        }

        public Criteria andActivityStateGreaterThanOrEqualTo(String value) {
            addCriterion("activity_state >=", value, "activityState");
            return (Criteria) this;
        }

        public Criteria andActivityStateLessThan(String value) {
            addCriterion("activity_state <", value, "activityState");
            return (Criteria) this;
        }

        public Criteria andActivityStateLessThanOrEqualTo(String value) {
            addCriterion("activity_state <=", value, "activityState");
            return (Criteria) this;
        }

        public Criteria andActivityStateLike(String value) {
            addCriterion("activity_state like", value, "activityState");
            return (Criteria) this;
        }

        public Criteria andActivityStateNotLike(String value) {
            addCriterion("activity_state not like", value, "activityState");
            return (Criteria) this;
        }

        public Criteria andActivityStateIn(List<String> values) {
            addCriterion("activity_state in", values, "activityState");
            return (Criteria) this;
        }

        public Criteria andActivityStateNotIn(List<String> values) {
            addCriterion("activity_state not in", values, "activityState");
            return (Criteria) this;
        }

        public Criteria andActivityStateBetween(String value1, String value2) {
            addCriterion("activity_state between", value1, value2, "activityState");
            return (Criteria) this;
        }

        public Criteria andActivityStateNotBetween(String value1, String value2) {
            addCriterion("activity_state not between", value1, value2, "activityState");
            return (Criteria) this;
        }

        public Criteria andActivityNameIsNull() {
            addCriterion("activity_name is null");
            return (Criteria) this;
        }

        public Criteria andActivityNameIsNotNull() {
            addCriterion("activity_name is not null");
            return (Criteria) this;
        }

        public Criteria andActivityNameEqualTo(String value) {
            addCriterion("activity_name =", value, "activityName");
            return (Criteria) this;
        }

        public Criteria andActivityNameNotEqualTo(String value) {
            addCriterion("activity_name <>", value, "activityName");
            return (Criteria) this;
        }

        public Criteria andActivityNameGreaterThan(String value) {
            addCriterion("activity_name >", value, "activityName");
            return (Criteria) this;
        }

        public Criteria andActivityNameGreaterThanOrEqualTo(String value) {
            addCriterion("activity_name >=", value, "activityName");
            return (Criteria) this;
        }

        public Criteria andActivityNameLessThan(String value) {
            addCriterion("activity_name <", value, "activityName");
            return (Criteria) this;
        }

        public Criteria andActivityNameLessThanOrEqualTo(String value) {
            addCriterion("activity_name <=", value, "activityName");
            return (Criteria) this;
        }

        public Criteria andActivityNameLike(String value) {
            addCriterion("activity_name like", value, "activityName");
            return (Criteria) this;
        }

        public Criteria andActivityNameNotLike(String value) {
            addCriterion("activity_name not like", value, "activityName");
            return (Criteria) this;
        }

        public Criteria andActivityNameIn(List<String> values) {
            addCriterion("activity_name in", values, "activityName");
            return (Criteria) this;
        }

        public Criteria andActivityNameNotIn(List<String> values) {
            addCriterion("activity_name not in", values, "activityName");
            return (Criteria) this;
        }

        public Criteria andActivityNameBetween(String value1, String value2) {
            addCriterion("activity_name between", value1, value2, "activityName");
            return (Criteria) this;
        }

        public Criteria andActivityNameNotBetween(String value1, String value2) {
            addCriterion("activity_name not between", value1, value2, "activityName");
            return (Criteria) this;
        }

        public Criteria andActivityTypeIsNull() {
            addCriterion("activity_type is null");
            return (Criteria) this;
        }

        public Criteria andActivityTypeIsNotNull() {
            addCriterion("activity_type is not null");
            return (Criteria) this;
        }

        public Criteria andActivityTypeEqualTo(String value) {
            addCriterion("activity_type =", value, "activityType");
            return (Criteria) this;
        }

        public Criteria andActivityTypeNotEqualTo(String value) {
            addCriterion("activity_type <>", value, "activityType");
            return (Criteria) this;
        }

        public Criteria andActivityTypeGreaterThan(String value) {
            addCriterion("activity_type >", value, "activityType");
            return (Criteria) this;
        }

        public Criteria andActivityTypeGreaterThanOrEqualTo(String value) {
            addCriterion("activity_type >=", value, "activityType");
            return (Criteria) this;
        }

        public Criteria andActivityTypeLessThan(String value) {
            addCriterion("activity_type <", value, "activityType");
            return (Criteria) this;
        }

        public Criteria andActivityTypeLessThanOrEqualTo(String value) {
            addCriterion("activity_type <=", value, "activityType");
            return (Criteria) this;
        }

        public Criteria andActivityTypeLike(String value) {
            addCriterion("activity_type like", value, "activityType");
            return (Criteria) this;
        }

        public Criteria andActivityTypeNotLike(String value) {
            addCriterion("activity_type not like", value, "activityType");
            return (Criteria) this;
        }

        public Criteria andActivityTypeIn(List<String> values) {
            addCriterion("activity_type in", values, "activityType");
            return (Criteria) this;
        }

        public Criteria andActivityTypeNotIn(List<String> values) {
            addCriterion("activity_type not in", values, "activityType");
            return (Criteria) this;
        }

        public Criteria andActivityTypeBetween(String value1, String value2) {
            addCriterion("activity_type between", value1, value2, "activityType");
            return (Criteria) this;
        }

        public Criteria andActivityTypeNotBetween(String value1, String value2) {
            addCriterion("activity_type not between", value1, value2, "activityType");
            return (Criteria) this;
        }

        public Criteria andOrganigerIsNull() {
            addCriterion("organiger is null");
            return (Criteria) this;
        }

        public Criteria andOrganigerIsNotNull() {
            addCriterion("organiger is not null");
            return (Criteria) this;
        }

        public Criteria andOrganigerEqualTo(String value) {
            addCriterion("organiger =", value, "organiger");
            return (Criteria) this;
        }

        public Criteria andOrganigerNotEqualTo(String value) {
            addCriterion("organiger <>", value, "organiger");
            return (Criteria) this;
        }

        public Criteria andOrganigerGreaterThan(String value) {
            addCriterion("organiger >", value, "organiger");
            return (Criteria) this;
        }

        public Criteria andOrganigerGreaterThanOrEqualTo(String value) {
            addCriterion("organiger >=", value, "organiger");
            return (Criteria) this;
        }

        public Criteria andOrganigerLessThan(String value) {
            addCriterion("organiger <", value, "organiger");
            return (Criteria) this;
        }

        public Criteria andOrganigerLessThanOrEqualTo(String value) {
            addCriterion("organiger <=", value, "organiger");
            return (Criteria) this;
        }

        public Criteria andOrganigerLike(String value) {
            addCriterion("organiger like", value, "organiger");
            return (Criteria) this;
        }

        public Criteria andOrganigerNotLike(String value) {
            addCriterion("organiger not like", value, "organiger");
            return (Criteria) this;
        }

        public Criteria andOrganigerIn(List<String> values) {
            addCriterion("organiger in", values, "organiger");
            return (Criteria) this;
        }

        public Criteria andOrganigerNotIn(List<String> values) {
            addCriterion("organiger not in", values, "organiger");
            return (Criteria) this;
        }

        public Criteria andOrganigerBetween(String value1, String value2) {
            addCriterion("organiger between", value1, value2, "organiger");
            return (Criteria) this;
        }

        public Criteria andOrganigerNotBetween(String value1, String value2) {
            addCriterion("organiger not between", value1, value2, "organiger");
            return (Criteria) this;
        }

        public Criteria andEnrollAddrIsNull() {
            addCriterion("enroll_addr is null");
            return (Criteria) this;
        }

        public Criteria andEnrollAddrIsNotNull() {
            addCriterion("enroll_addr is not null");
            return (Criteria) this;
        }

        public Criteria andEnrollAddrEqualTo(String value) {
            addCriterion("enroll_addr =", value, "enrollAddr");
            return (Criteria) this;
        }

        public Criteria andEnrollAddrNotEqualTo(String value) {
            addCriterion("enroll_addr <>", value, "enrollAddr");
            return (Criteria) this;
        }

        public Criteria andEnrollAddrGreaterThan(String value) {
            addCriterion("enroll_addr >", value, "enrollAddr");
            return (Criteria) this;
        }

        public Criteria andEnrollAddrGreaterThanOrEqualTo(String value) {
            addCriterion("enroll_addr >=", value, "enrollAddr");
            return (Criteria) this;
        }

        public Criteria andEnrollAddrLessThan(String value) {
            addCriterion("enroll_addr <", value, "enrollAddr");
            return (Criteria) this;
        }

        public Criteria andEnrollAddrLessThanOrEqualTo(String value) {
            addCriterion("enroll_addr <=", value, "enrollAddr");
            return (Criteria) this;
        }

        public Criteria andEnrollAddrLike(String value) {
            addCriterion("enroll_addr like", value, "enrollAddr");
            return (Criteria) this;
        }

        public Criteria andEnrollAddrNotLike(String value) {
            addCriterion("enroll_addr not like", value, "enrollAddr");
            return (Criteria) this;
        }

        public Criteria andEnrollAddrIn(List<String> values) {
            addCriterion("enroll_addr in", values, "enrollAddr");
            return (Criteria) this;
        }

        public Criteria andEnrollAddrNotIn(List<String> values) {
            addCriterion("enroll_addr not in", values, "enrollAddr");
            return (Criteria) this;
        }

        public Criteria andEnrollAddrBetween(String value1, String value2) {
            addCriterion("enroll_addr between", value1, value2, "enrollAddr");
            return (Criteria) this;
        }

        public Criteria andEnrollAddrNotBetween(String value1, String value2) {
            addCriterion("enroll_addr not between", value1, value2, "enrollAddr");
            return (Criteria) this;
        }

        public Criteria andEnrollTimeIsNull() {
            addCriterion("enroll_time is null");
            return (Criteria) this;
        }

        public Criteria andEnrollTimeIsNotNull() {
            addCriterion("enroll_time is not null");
            return (Criteria) this;
        }

        public Criteria andEnrollTimeEqualTo(String value) {
            addCriterion("enroll_time =", value, "enrollTime");
            return (Criteria) this;
        }

        public Criteria andEnrollTimeNotEqualTo(String value) {
            addCriterion("enroll_time <>", value, "enrollTime");
            return (Criteria) this;
        }

        public Criteria andEnrollTimeGreaterThan(String value) {
            addCriterion("enroll_time >", value, "enrollTime");
            return (Criteria) this;
        }

        public Criteria andEnrollTimeGreaterThanOrEqualTo(String value) {
            addCriterion("enroll_time >=", value, "enrollTime");
            return (Criteria) this;
        }

        public Criteria andEnrollTimeLessThan(String value) {
            addCriterion("enroll_time <", value, "enrollTime");
            return (Criteria) this;
        }

        public Criteria andEnrollTimeLessThanOrEqualTo(String value) {
            addCriterion("enroll_time <=", value, "enrollTime");
            return (Criteria) this;
        }

        public Criteria andEnrollTimeLike(String value) {
            addCriterion("enroll_time like", value, "enrollTime");
            return (Criteria) this;
        }

        public Criteria andEnrollTimeNotLike(String value) {
            addCriterion("enroll_time not like", value, "enrollTime");
            return (Criteria) this;
        }

        public Criteria andEnrollTimeIn(List<String> values) {
            addCriterion("enroll_time in", values, "enrollTime");
            return (Criteria) this;
        }

        public Criteria andEnrollTimeNotIn(List<String> values) {
            addCriterion("enroll_time not in", values, "enrollTime");
            return (Criteria) this;
        }

        public Criteria andEnrollTimeBetween(String value1, String value2) {
            addCriterion("enroll_time between", value1, value2, "enrollTime");
            return (Criteria) this;
        }

        public Criteria andEnrollTimeNotBetween(String value1, String value2) {
            addCriterion("enroll_time not between", value1, value2, "enrollTime");
            return (Criteria) this;
        }

        public Criteria andActivityAddrIsNull() {
            addCriterion("activity_addr is null");
            return (Criteria) this;
        }

        public Criteria andActivityAddrIsNotNull() {
            addCriterion("activity_addr is not null");
            return (Criteria) this;
        }

        public Criteria andActivityAddrEqualTo(String value) {
            addCriterion("activity_addr =", value, "activityAddr");
            return (Criteria) this;
        }

        public Criteria andActivityAddrNotEqualTo(String value) {
            addCriterion("activity_addr <>", value, "activityAddr");
            return (Criteria) this;
        }

        public Criteria andActivityAddrGreaterThan(String value) {
            addCriterion("activity_addr >", value, "activityAddr");
            return (Criteria) this;
        }

        public Criteria andActivityAddrGreaterThanOrEqualTo(String value) {
            addCriterion("activity_addr >=", value, "activityAddr");
            return (Criteria) this;
        }

        public Criteria andActivityAddrLessThan(String value) {
            addCriterion("activity_addr <", value, "activityAddr");
            return (Criteria) this;
        }

        public Criteria andActivityAddrLessThanOrEqualTo(String value) {
            addCriterion("activity_addr <=", value, "activityAddr");
            return (Criteria) this;
        }

        public Criteria andActivityAddrLike(String value) {
            addCriterion("activity_addr like", value, "activityAddr");
            return (Criteria) this;
        }

        public Criteria andActivityAddrNotLike(String value) {
            addCriterion("activity_addr not like", value, "activityAddr");
            return (Criteria) this;
        }

        public Criteria andActivityAddrIn(List<String> values) {
            addCriterion("activity_addr in", values, "activityAddr");
            return (Criteria) this;
        }

        public Criteria andActivityAddrNotIn(List<String> values) {
            addCriterion("activity_addr not in", values, "activityAddr");
            return (Criteria) this;
        }

        public Criteria andActivityAddrBetween(String value1, String value2) {
            addCriterion("activity_addr between", value1, value2, "activityAddr");
            return (Criteria) this;
        }

        public Criteria andActivityAddrNotBetween(String value1, String value2) {
            addCriterion("activity_addr not between", value1, value2, "activityAddr");
            return (Criteria) this;
        }

        public Criteria andActivityTimeIsNull() {
            addCriterion("activity_time is null");
            return (Criteria) this;
        }

        public Criteria andActivityTimeIsNotNull() {
            addCriterion("activity_time is not null");
            return (Criteria) this;
        }

        public Criteria andActivityTimeEqualTo(String value) {
            addCriterion("activity_time =", value, "activityTime");
            return (Criteria) this;
        }

        public Criteria andActivityTimeNotEqualTo(String value) {
            addCriterion("activity_time <>", value, "activityTime");
            return (Criteria) this;
        }

        public Criteria andActivityTimeGreaterThan(String value) {
            addCriterion("activity_time >", value, "activityTime");
            return (Criteria) this;
        }

        public Criteria andActivityTimeGreaterThanOrEqualTo(String value) {
            addCriterion("activity_time >=", value, "activityTime");
            return (Criteria) this;
        }

        public Criteria andActivityTimeLessThan(String value) {
            addCriterion("activity_time <", value, "activityTime");
            return (Criteria) this;
        }

        public Criteria andActivityTimeLessThanOrEqualTo(String value) {
            addCriterion("activity_time <=", value, "activityTime");
            return (Criteria) this;
        }

        public Criteria andActivityTimeLike(String value) {
            addCriterion("activity_time like", value, "activityTime");
            return (Criteria) this;
        }

        public Criteria andActivityTimeNotLike(String value) {
            addCriterion("activity_time not like", value, "activityTime");
            return (Criteria) this;
        }

        public Criteria andActivityTimeIn(List<String> values) {
            addCriterion("activity_time in", values, "activityTime");
            return (Criteria) this;
        }

        public Criteria andActivityTimeNotIn(List<String> values) {
            addCriterion("activity_time not in", values, "activityTime");
            return (Criteria) this;
        }

        public Criteria andActivityTimeBetween(String value1, String value2) {
            addCriterion("activity_time between", value1, value2, "activityTime");
            return (Criteria) this;
        }

        public Criteria andActivityTimeNotBetween(String value1, String value2) {
            addCriterion("activity_time not between", value1, value2, "activityTime");
            return (Criteria) this;
        }

        public Criteria andPublishByIsNull() {
            addCriterion("publish_by is null");
            return (Criteria) this;
        }

        public Criteria andPublishByIsNotNull() {
            addCriterion("publish_by is not null");
            return (Criteria) this;
        }

        public Criteria andPublishByEqualTo(Long value) {
            addCriterion("publish_by =", value, "publishBy");
            return (Criteria) this;
        }

        public Criteria andPublishByNotEqualTo(Long value) {
            addCriterion("publish_by <>", value, "publishBy");
            return (Criteria) this;
        }

        public Criteria andPublishByGreaterThan(Long value) {
            addCriterion("publish_by >", value, "publishBy");
            return (Criteria) this;
        }

        public Criteria andPublishByGreaterThanOrEqualTo(Long value) {
            addCriterion("publish_by >=", value, "publishBy");
            return (Criteria) this;
        }

        public Criteria andPublishByLessThan(Long value) {
            addCriterion("publish_by <", value, "publishBy");
            return (Criteria) this;
        }

        public Criteria andPublishByLessThanOrEqualTo(Long value) {
            addCriterion("publish_by <=", value, "publishBy");
            return (Criteria) this;
        }

        public Criteria andPublishByIn(List<Long> values) {
            addCriterion("publish_by in", values, "publishBy");
            return (Criteria) this;
        }

        public Criteria andPublishByNotIn(List<Long> values) {
            addCriterion("publish_by not in", values, "publishBy");
            return (Criteria) this;
        }

        public Criteria andPublishByBetween(Long value1, Long value2) {
            addCriterion("publish_by between", value1, value2, "publishBy");
            return (Criteria) this;
        }

        public Criteria andPublishByNotBetween(Long value1, Long value2) {
            addCriterion("publish_by not between", value1, value2, "publishBy");
            return (Criteria) this;
        }

        public Criteria andPublishAtIsNull() {
            addCriterion("publish_at is null");
            return (Criteria) this;
        }

        public Criteria andPublishAtIsNotNull() {
            addCriterion("publish_at is not null");
            return (Criteria) this;
        }

        public Criteria andPublishAtEqualTo(Date value) {
            addCriterion("publish_at =", value, "publishAt");
            return (Criteria) this;
        }

        public Criteria andPublishAtNotEqualTo(Date value) {
            addCriterion("publish_at <>", value, "publishAt");
            return (Criteria) this;
        }

        public Criteria andPublishAtGreaterThan(Date value) {
            addCriterion("publish_at >", value, "publishAt");
            return (Criteria) this;
        }

        public Criteria andPublishAtGreaterThanOrEqualTo(Date value) {
            addCriterion("publish_at >=", value, "publishAt");
            return (Criteria) this;
        }

        public Criteria andPublishAtLessThan(Date value) {
            addCriterion("publish_at <", value, "publishAt");
            return (Criteria) this;
        }

        public Criteria andPublishAtLessThanOrEqualTo(Date value) {
            addCriterion("publish_at <=", value, "publishAt");
            return (Criteria) this;
        }

        public Criteria andPublishAtIn(List<Date> values) {
            addCriterion("publish_at in", values, "publishAt");
            return (Criteria) this;
        }

        public Criteria andPublishAtNotIn(List<Date> values) {
            addCriterion("publish_at not in", values, "publishAt");
            return (Criteria) this;
        }

        public Criteria andPublishAtBetween(Date value1, Date value2) {
            addCriterion("publish_at between", value1, value2, "publishAt");
            return (Criteria) this;
        }

        public Criteria andPublishAtNotBetween(Date value1, Date value2) {
            addCriterion("publish_at not between", value1, value2, "publishAt");
            return (Criteria) this;
        }

        public Criteria andAuditedByIsNull() {
            addCriterion("audited_by is null");
            return (Criteria) this;
        }

        public Criteria andAuditedByIsNotNull() {
            addCriterion("audited_by is not null");
            return (Criteria) this;
        }

        public Criteria andAuditedByEqualTo(Long value) {
            addCriterion("audited_by =", value, "auditedBy");
            return (Criteria) this;
        }

        public Criteria andAuditedByNotEqualTo(Long value) {
            addCriterion("audited_by <>", value, "auditedBy");
            return (Criteria) this;
        }

        public Criteria andAuditedByGreaterThan(Long value) {
            addCriterion("audited_by >", value, "auditedBy");
            return (Criteria) this;
        }

        public Criteria andAuditedByGreaterThanOrEqualTo(Long value) {
            addCriterion("audited_by >=", value, "auditedBy");
            return (Criteria) this;
        }

        public Criteria andAuditedByLessThan(Long value) {
            addCriterion("audited_by <", value, "auditedBy");
            return (Criteria) this;
        }

        public Criteria andAuditedByLessThanOrEqualTo(Long value) {
            addCriterion("audited_by <=", value, "auditedBy");
            return (Criteria) this;
        }

        public Criteria andAuditedByIn(List<Long> values) {
            addCriterion("audited_by in", values, "auditedBy");
            return (Criteria) this;
        }

        public Criteria andAuditedByNotIn(List<Long> values) {
            addCriterion("audited_by not in", values, "auditedBy");
            return (Criteria) this;
        }

        public Criteria andAuditedByBetween(Long value1, Long value2) {
            addCriterion("audited_by between", value1, value2, "auditedBy");
            return (Criteria) this;
        }

        public Criteria andAuditedByNotBetween(Long value1, Long value2) {
            addCriterion("audited_by not between", value1, value2, "auditedBy");
            return (Criteria) this;
        }

        public Criteria andAuditedAtIsNull() {
            addCriterion("audited_at is null");
            return (Criteria) this;
        }

        public Criteria andAuditedAtIsNotNull() {
            addCriterion("audited_at is not null");
            return (Criteria) this;
        }

        public Criteria andAuditedAtEqualTo(Date value) {
            addCriterion("audited_at =", value, "auditedAt");
            return (Criteria) this;
        }

        public Criteria andAuditedAtNotEqualTo(Date value) {
            addCriterion("audited_at <>", value, "auditedAt");
            return (Criteria) this;
        }

        public Criteria andAuditedAtGreaterThan(Date value) {
            addCriterion("audited_at >", value, "auditedAt");
            return (Criteria) this;
        }

        public Criteria andAuditedAtGreaterThanOrEqualTo(Date value) {
            addCriterion("audited_at >=", value, "auditedAt");
            return (Criteria) this;
        }

        public Criteria andAuditedAtLessThan(Date value) {
            addCriterion("audited_at <", value, "auditedAt");
            return (Criteria) this;
        }

        public Criteria andAuditedAtLessThanOrEqualTo(Date value) {
            addCriterion("audited_at <=", value, "auditedAt");
            return (Criteria) this;
        }

        public Criteria andAuditedAtIn(List<Date> values) {
            addCriterion("audited_at in", values, "auditedAt");
            return (Criteria) this;
        }

        public Criteria andAuditedAtNotIn(List<Date> values) {
            addCriterion("audited_at not in", values, "auditedAt");
            return (Criteria) this;
        }

        public Criteria andAuditedAtBetween(Date value1, Date value2) {
            addCriterion("audited_at between", value1, value2, "auditedAt");
            return (Criteria) this;
        }

        public Criteria andAuditedAtNotBetween(Date value1, Date value2) {
            addCriterion("audited_at not between", value1, value2, "auditedAt");
            return (Criteria) this;
        }

        public Criteria andAuditResultIsNull() {
            addCriterion("audit_result is null");
            return (Criteria) this;
        }

        public Criteria andAuditResultIsNotNull() {
            addCriterion("audit_result is not null");
            return (Criteria) this;
        }

        public Criteria andAuditResultEqualTo(String value) {
            addCriterion("audit_result =", value, "auditResult");
            return (Criteria) this;
        }

        public Criteria andAuditResultNotEqualTo(String value) {
            addCriterion("audit_result <>", value, "auditResult");
            return (Criteria) this;
        }

        public Criteria andAuditResultGreaterThan(String value) {
            addCriterion("audit_result >", value, "auditResult");
            return (Criteria) this;
        }

        public Criteria andAuditResultGreaterThanOrEqualTo(String value) {
            addCriterion("audit_result >=", value, "auditResult");
            return (Criteria) this;
        }

        public Criteria andAuditResultLessThan(String value) {
            addCriterion("audit_result <", value, "auditResult");
            return (Criteria) this;
        }

        public Criteria andAuditResultLessThanOrEqualTo(String value) {
            addCriterion("audit_result <=", value, "auditResult");
            return (Criteria) this;
        }

        public Criteria andAuditResultLike(String value) {
            addCriterion("audit_result like", value, "auditResult");
            return (Criteria) this;
        }

        public Criteria andAuditResultNotLike(String value) {
            addCriterion("audit_result not like", value, "auditResult");
            return (Criteria) this;
        }

        public Criteria andAuditResultIn(List<String> values) {
            addCriterion("audit_result in", values, "auditResult");
            return (Criteria) this;
        }

        public Criteria andAuditResultNotIn(List<String> values) {
            addCriterion("audit_result not in", values, "auditResult");
            return (Criteria) this;
        }

        public Criteria andAuditResultBetween(String value1, String value2) {
            addCriterion("audit_result between", value1, value2, "auditResult");
            return (Criteria) this;
        }

        public Criteria andAuditResultNotBetween(String value1, String value2) {
            addCriterion("audit_result not between", value1, value2, "auditResult");
            return (Criteria) this;
        }

        public Criteria andAuditOpinionIsNull() {
            addCriterion("audit_opinion is null");
            return (Criteria) this;
        }

        public Criteria andAuditOpinionIsNotNull() {
            addCriterion("audit_opinion is not null");
            return (Criteria) this;
        }

        public Criteria andAuditOpinionEqualTo(String value) {
            addCriterion("audit_opinion =", value, "auditOpinion");
            return (Criteria) this;
        }

        public Criteria andAuditOpinionNotEqualTo(String value) {
            addCriterion("audit_opinion <>", value, "auditOpinion");
            return (Criteria) this;
        }

        public Criteria andAuditOpinionGreaterThan(String value) {
            addCriterion("audit_opinion >", value, "auditOpinion");
            return (Criteria) this;
        }

        public Criteria andAuditOpinionGreaterThanOrEqualTo(String value) {
            addCriterion("audit_opinion >=", value, "auditOpinion");
            return (Criteria) this;
        }

        public Criteria andAuditOpinionLessThan(String value) {
            addCriterion("audit_opinion <", value, "auditOpinion");
            return (Criteria) this;
        }

        public Criteria andAuditOpinionLessThanOrEqualTo(String value) {
            addCriterion("audit_opinion <=", value, "auditOpinion");
            return (Criteria) this;
        }

        public Criteria andAuditOpinionLike(String value) {
            addCriterion("audit_opinion like", value, "auditOpinion");
            return (Criteria) this;
        }

        public Criteria andAuditOpinionNotLike(String value) {
            addCriterion("audit_opinion not like", value, "auditOpinion");
            return (Criteria) this;
        }

        public Criteria andAuditOpinionIn(List<String> values) {
            addCriterion("audit_opinion in", values, "auditOpinion");
            return (Criteria) this;
        }

        public Criteria andAuditOpinionNotIn(List<String> values) {
            addCriterion("audit_opinion not in", values, "auditOpinion");
            return (Criteria) this;
        }

        public Criteria andAuditOpinionBetween(String value1, String value2) {
            addCriterion("audit_opinion between", value1, value2, "auditOpinion");
            return (Criteria) this;
        }

        public Criteria andAuditOpinionNotBetween(String value1, String value2) {
            addCriterion("audit_opinion not between", value1, value2, "auditOpinion");
            return (Criteria) this;
        }

        public Criteria andCreatedAtIsNull() {
            addCriterion("created_at is null");
            return (Criteria) this;
        }

        public Criteria andCreatedAtIsNotNull() {
            addCriterion("created_at is not null");
            return (Criteria) this;
        }

        public Criteria andCreatedAtEqualTo(Date value) {
            addCriterion("created_at =", value, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtNotEqualTo(Date value) {
            addCriterion("created_at <>", value, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtGreaterThan(Date value) {
            addCriterion("created_at >", value, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtGreaterThanOrEqualTo(Date value) {
            addCriterion("created_at >=", value, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtLessThan(Date value) {
            addCriterion("created_at <", value, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtLessThanOrEqualTo(Date value) {
            addCriterion("created_at <=", value, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtIn(List<Date> values) {
            addCriterion("created_at in", values, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtNotIn(List<Date> values) {
            addCriterion("created_at not in", values, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtBetween(Date value1, Date value2) {
            addCriterion("created_at between", value1, value2, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedAtNotBetween(Date value1, Date value2) {
            addCriterion("created_at not between", value1, value2, "createdAt");
            return (Criteria) this;
        }

        public Criteria andCreatedByIsNull() {
            addCriterion("created_by is null");
            return (Criteria) this;
        }

        public Criteria andCreatedByIsNotNull() {
            addCriterion("created_by is not null");
            return (Criteria) this;
        }

        public Criteria andCreatedByEqualTo(Long value) {
            addCriterion("created_by =", value, "createdBy");
            return (Criteria) this;
        }

        public Criteria andCreatedByNotEqualTo(Long value) {
            addCriterion("created_by <>", value, "createdBy");
            return (Criteria) this;
        }

        public Criteria andCreatedByGreaterThan(Long value) {
            addCriterion("created_by >", value, "createdBy");
            return (Criteria) this;
        }

        public Criteria andCreatedByGreaterThanOrEqualTo(Long value) {
            addCriterion("created_by >=", value, "createdBy");
            return (Criteria) this;
        }

        public Criteria andCreatedByLessThan(Long value) {
            addCriterion("created_by <", value, "createdBy");
            return (Criteria) this;
        }

        public Criteria andCreatedByLessThanOrEqualTo(Long value) {
            addCriterion("created_by <=", value, "createdBy");
            return (Criteria) this;
        }

        public Criteria andCreatedByIn(List<Long> values) {
            addCriterion("created_by in", values, "createdBy");
            return (Criteria) this;
        }

        public Criteria andCreatedByNotIn(List<Long> values) {
            addCriterion("created_by not in", values, "createdBy");
            return (Criteria) this;
        }

        public Criteria andCreatedByBetween(Long value1, Long value2) {
            addCriterion("created_by between", value1, value2, "createdBy");
            return (Criteria) this;
        }

        public Criteria andCreatedByNotBetween(Long value1, Long value2) {
            addCriterion("created_by not between", value1, value2, "createdBy");
            return (Criteria) this;
        }

        public Criteria andDeletedAtIsNull() {
            addCriterion("deleted_at is null");
            return (Criteria) this;
        }

        public Criteria andDeletedAtIsNotNull() {
            addCriterion("deleted_at is not null");
            return (Criteria) this;
        }

        public Criteria andDeletedAtEqualTo(Date value) {
            addCriterion("deleted_at =", value, "deletedAt");
            return (Criteria) this;
        }

        public Criteria andDeletedAtNotEqualTo(Date value) {
            addCriterion("deleted_at <>", value, "deletedAt");
            return (Criteria) this;
        }

        public Criteria andDeletedAtGreaterThan(Date value) {
            addCriterion("deleted_at >", value, "deletedAt");
            return (Criteria) this;
        }

        public Criteria andDeletedAtGreaterThanOrEqualTo(Date value) {
            addCriterion("deleted_at >=", value, "deletedAt");
            return (Criteria) this;
        }

        public Criteria andDeletedAtLessThan(Date value) {
            addCriterion("deleted_at <", value, "deletedAt");
            return (Criteria) this;
        }

        public Criteria andDeletedAtLessThanOrEqualTo(Date value) {
            addCriterion("deleted_at <=", value, "deletedAt");
            return (Criteria) this;
        }

        public Criteria andDeletedAtIn(List<Date> values) {
            addCriterion("deleted_at in", values, "deletedAt");
            return (Criteria) this;
        }

        public Criteria andDeletedAtNotIn(List<Date> values) {
            addCriterion("deleted_at not in", values, "deletedAt");
            return (Criteria) this;
        }

        public Criteria andDeletedAtBetween(Date value1, Date value2) {
            addCriterion("deleted_at between", value1, value2, "deletedAt");
            return (Criteria) this;
        }

        public Criteria andDeletedAtNotBetween(Date value1, Date value2) {
            addCriterion("deleted_at not between", value1, value2, "deletedAt");
            return (Criteria) this;
        }

        public Criteria andDeletedByIsNull() {
            addCriterion("deleted_by is null");
            return (Criteria) this;
        }

        public Criteria andDeletedByIsNotNull() {
            addCriterion("deleted_by is not null");
            return (Criteria) this;
        }

        public Criteria andDeletedByEqualTo(Long value) {
            addCriterion("deleted_by =", value, "deletedBy");
            return (Criteria) this;
        }

        public Criteria andDeletedByNotEqualTo(Long value) {
            addCriterion("deleted_by <>", value, "deletedBy");
            return (Criteria) this;
        }

        public Criteria andDeletedByGreaterThan(Long value) {
            addCriterion("deleted_by >", value, "deletedBy");
            return (Criteria) this;
        }

        public Criteria andDeletedByGreaterThanOrEqualTo(Long value) {
            addCriterion("deleted_by >=", value, "deletedBy");
            return (Criteria) this;
        }

        public Criteria andDeletedByLessThan(Long value) {
            addCriterion("deleted_by <", value, "deletedBy");
            return (Criteria) this;
        }

        public Criteria andDeletedByLessThanOrEqualTo(Long value) {
            addCriterion("deleted_by <=", value, "deletedBy");
            return (Criteria) this;
        }

        public Criteria andDeletedByIn(List<Long> values) {
            addCriterion("deleted_by in", values, "deletedBy");
            return (Criteria) this;
        }

        public Criteria andDeletedByNotIn(List<Long> values) {
            addCriterion("deleted_by not in", values, "deletedBy");
            return (Criteria) this;
        }

        public Criteria andDeletedByBetween(Long value1, Long value2) {
            addCriterion("deleted_by between", value1, value2, "deletedBy");
            return (Criteria) this;
        }

        public Criteria andDeletedByNotBetween(Long value1, Long value2) {
            addCriterion("deleted_by not between", value1, value2, "deletedBy");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}